# This file created by conda-build 3.21.9
# ------------------------------------------------

package:
  name: airflow
  version: 2.3.3
source:
  fn: airflow-2.3.3.tar.gz
  sha256: f32d27b9c9e5c3a87c5631011c321cb9f4e86b8f880209095fa36eb576bdc3a8
  url: https://github.com/apache/airflow/archive/2.3.3.tar.gz
build:
  entry_points:
    - airflow=airflow.__main__:main
  number: 1
  string: py38hf6bd658_1
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - ca-certificates 2022.07.19 hd43f75c_0
    - certifi 2022.6.15 py38hd43f75c_0
    - coreutils 8.32 h2f4d8fa_0
    - docutils 0.18.1 py38hd43f75c_3
    - gitdb 4.0.7 pyhd3eb1b0_0
    - gitpython 3.1.18 pyhd3eb1b0_1
    - icu 68.1 h22f4aa5_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuv 1.40.0 hfd63f10_0
    - ncurses 6.3 h998d150_3
    - nodejs 16.13.1 h0cf6090_0
    - openssl 1.1.1q h2f4d8fa_0
    - pip 22.1.2 py38hd43f75c_0
    - python 3.8.13 hc137634_0
    - readline 8.1.2 h2f4d8fa_1
    - setuptools 61.2.0 py38hd43f75c_0
    - smmap 4.0.0 pyhd3eb1b0_0
    - sqlite 3.39.2 hf533066_0
    - tk 8.6.12 h241ca14_0
    - typing-extensions 4.3.0 py38hd43f75c_0
    - typing_extensions 4.3.0 py38hd43f75c_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h2f4d8fa_1
    - yarn 1.22.19 hd43f75c_0
    - zlib 1.2.12 h2f4d8fa_2
  run:
    - alembic >=1.5.1,<2.0
    - apache-airflow-providers-ftp
    - apache-airflow-providers-http
    - apache-airflow-providers-imap
    - apache-airflow-providers-sqlite
    - argcomplete >=1.10
    - attrs >=20.0,<21.0
    - blinker
    - cattrs >=1.1,<2,!=1.7.*
    - colorlog >=4.0.2,<5.0
    - connexion >=2.10.0
    - cron-descriptor >=1.2.24
    - croniter >=0.3.17
    - cryptography >=0.9.3
    - deprecated >=1.2.13
    - dill >=0.2.2
    - flask >=1.0.4,<3
    - flask >=2.0
    - flask-appbuilder 4.1.2.*
    - flask-caching >=1.5.0
    - flask-login >=0.5
    - flask-session >=0.4.0
    - flask-wtf >=0.15
    - gunicorn >=19.5.0
    - httpx
    - importlib_metadata >=1.7
    - importlib_resources >=5.2
    - itsdangerous >=0.24
    - itsdangerous >=2.0
    - jinja2 >=2.10.1
    - jsonschema >=3.2.0
    - lazy-object-proxy
    - linkify-it-py >=2.0.0
    - lockfile >=0.12.2
    - markdown-it-py >=2.1.0
    - markdown>=3.0
    - markupsafe >=1.1.1
    - marshmallow-oneofschema >=2.0.1
    - mdit-py-plugins >=0.3.0
    - openssl >=1.1.1q,<1.1.2a
    - packaging >=14.0
    - pathspec >=0.9.0,<1.0
    - pendulum >=2.0
    - pluggy>=1.0
    - psutil >=4.2.0
    - pygments >=2.0.1
    - pyjwt >=2.0.0
    - python >=3.8,<3.9.0a0
    - python-daemon >=2.2.4
    - python-dateutil >=2.3
    - python-graphviz >=0.12
    - python-nvd3 >=0.15.0
    - python-slugify >=5.0
    - rich >=12.4.4
    - setproctitle >=1.1.8
    - sqlalchemy >=1.4
    - sqlalchemy-jsonfield >=1.0
    - swagger-ui-bundle >=0.0.2,<0.1
    - tabulate >=0.7.5
    - tenacity >=6.2.0
    - termcolor >=1.1.0
    - typing-extensions >=3.7.4
    - unicodecsv >=0.14.1
    - werkzeug >=2.0
test:
  commands:
    - pip check
    - airflow --help
    - airflow db init
  imports:
    - airflow
    - airflow.api
    - airflow.api.auth
    - airflow.api.auth.backend
    - airflow.api.client
    - airflow.api.common
    - airflow.api.common.experimental
    - airflow.api_connexion
    - airflow.cli
    - airflow.cli.commands
    - airflow.config_templates
    - airflow.contrib
    - airflow.contrib.hooks
    - airflow.contrib.operators
    - airflow.contrib.secrets
    - airflow.contrib.sensors
    - airflow.contrib.task_runner
    - airflow.contrib.utils
    - airflow.example_dags
    - airflow.example_dags.subdags
    - airflow.executors
    - airflow.hooks
    - airflow.jobs
    - airflow.kubernetes
    - airflow.lineage
    - airflow.macros
    - airflow.migrations
    - airflow.migrations.versions
    - airflow.models
    - airflow.mypy
    - airflow.mypy.plugin
    - airflow.operators
    - airflow.secrets
    - airflow.security
    - airflow.sensors
    - airflow.serialization
    - airflow.smart_sensor_dags
    - airflow.task
    - airflow.task.task_runner
    - airflow.ti_deps
    - airflow.ti_deps.deps
    - airflow.utils
    - airflow.utils.log
    - airflow.www
    - airflow.www.api
    - airflow.www.api.experimental
  requires:
    - pip
about:
  description: 'Use airflow to author workflows as directed acyclic graphs (DAGs)

    of tasks. The airflow scheduler executes your tasks on an array of

    workers while following the specified dependencies. Rich command

    line utilities make performing complex surgeries on DAGs a snap.

    The rich user interface makes it easy to visualize pipelines

    running in production, monitor progress, and troubleshoot issues

    when needed.


    When workflows are defined as code, they become more maintainable,

    versionable, testable, and collaborative.

    '
  dev_url: https://github.com/apache/airflow
  doc_url: http://pythonhosted.org/airflow/profiling.html
  home: http://airflow.apache.org
  license: Apache-2.0
  license_file: LICENSE
  summary: 'Airflow is a platform to programmatically author, schedule and monitor

    workflows

    '
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 64231f25-e0ba-48a2-bda8-f4e972cafbbf
  recipe-maintainers:
    - halldc
    - sodre
    - xylar
  remote_url: git@github.com:AnacondaRecipes/airflow-feedstock.git
  sha: 9c4a0a3bf585aabadb71e18457c39976fb62d285
